#include <fstream>

#include "mandelbrot.h"

template< typename T >
int problem( T msg ) {
    std::cerr << "Problem: " << msg << '.' << std::endl;
    return -1;
}

int main( void ) {
    Mandelbrot::Settings s;

    std::ifstream config( "config.txt" );
    if ( config ) {
        config >> s;
        if ( !config && !config.eof() )
            return problem( "invalid config file" );
    }

    try {
        Mandelbrot m( s );
        m.draw();
    }
    catch ( std::exception &ex ) {
        return problem( ex.what() );
    }
    return 0;
}



